> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Resync Scopes

> Start another scope discovery run for a resource server. The run imports
 newly advertised scopes as PENDING_REVIEW; its outcome appears in Get's
 scope_discovery_status. A request while a run is in progress queues one
 more run.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/apps/{app_id}/xaa/resource_servers/{id}/resync_scopes
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/xaa/resource_servers/{id}/resync_scopes:
    post:
      tags:
        - Cross-App Access
      summary: Resync Scopes
      description: |-
        Start another scope discovery run for a resource server. The run imports
         newly advertised scopes as PENDING_REVIEW; its outcome appears in Get's
         scope_discovery_status. A request while a run is in progress queues one
         more run.
      operationId: c1.api.cross_app_access.v1.XAAResourceServerService.ResyncScopes
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The application this resource server fronts.
            type: string
        - in: path
          name: id
          required: true
          schema:
            description: Unique identifier for the resource server.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.cross_app_access.v1.XAAResourceServerServiceResyncScopesRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.cross_app_access.v1.XAAResourceServerServiceResyncScopesResponse
          description: Successful response
components:
  schemas:
    c1.api.cross_app_access.v1.XAAResourceServerServiceResyncScopesRequestInput:
      description: The XAAResourceServerServiceResyncScopesRequest message.
      title: Xaa Resource Server Service Resync Scopes Request
      type: object
      x-speakeasy-name-override: XAAResourceServerServiceResyncScopesRequest
    c1.api.cross_app_access.v1.XAAResourceServerServiceResyncScopesResponse:
      description: The XAAResourceServerServiceResyncScopesResponse message.
      title: Xaa Resource Server Service Resync Scopes Response
      type: object
      x-speakeasy-name-override: XAAResourceServerServiceResyncScopesResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````